Page MenuHomePhabricator

EchoTalkPageFunctionalTest::testAddCommentsToTalkPage is broken
Closed, ResolvedPublic

Description

It's this silly test again:

07:35:43 There was 1 failure:
07:35:43
07:35:43 1) EchoTalkPageFunctionalTest::testAddCommentsToTalkPage
07:35:43 Detected section title must match
07:35:43 Failed asserting that two strings are equal.
07:35:43 --- Expected
07:35:43 +++ Actual
07:35:43 @@ @@
07:35:43 -'Section 8'
07:35:43 +''
07:35:43
07:35:43 /srv/ssd/jenkins-slave/workspace/mwext-Thanks-testextensions-master/extensions/Echo/tests/TalkPageFunctionalTest.php:72
07:35:43 /srv/ssd/jenkins-slave/workspace/mwext-Thanks-testextensions-master/extensions/Echo/tests/TalkPageFunctionalTest.php:41
07:35:43 /srv/ssd/jenkins-slave/workspace/mwext-Thanks-testextensions-master/tests/phpunit/MediaWikiTestCase.php:133
07:35:43 /srv/ssd/jenkins-slave/workspace/mwext-Thanks-testextensions-master/tests/phpunit/MediaWikiPHPUnitCommand.php:42

This is blocking merges to Echo and Thanks.


Version: unspecified
Severity: normal

Details

Reference
bz65336
Related Gerrit Patches:
mediawiki/extensions/Echo : masterUnbreak TalkPageFunctionalTest
mediawiki/extensions/Echo : masterFix broken test EchoTalkPageFunctionalTest::testAddCommentsToTalkPage

Related Objects

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:12 AM
bzimport added a project: Notifications.
bzimport set Reference to bz65336.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.May 15 2014, 7:43 AM

vagrant@mediawiki-vagrant:/vagrant/mediawiki$ php tests/phpunit/phpunit.php extensions/Echo/tests/TalkPageFunctionalTest.php
PHPUnit 3.7.28 by Sebastian Bergmann.

Configuration read from /vagrant/mediawiki/tests/phpunit/suite.xml

...

Time: 2.41 seconds, Memory: 56.00Mb

OK (3 tests, 19 assertions)

Change 133426 had a related patch set uploaded by Legoktm:
Mark EchoTalkPageFunctionalTest::testAddCommentsToTalkPage as broken

https://gerrit.wikimedia.org/r/133426

Legoktm set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 8:30 AM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 8:30 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 2:19 PM

Change 499691 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/Echo@master] Fix broken test EchoTalkPageFunctionalTest::testAddCommentsToTalkPage

https://gerrit.wikimedia.org/r/499691

Change 499691 abandoned by D3r1ck01:
Fix broken test EchoTalkPageFunctionalTest::testAddCommentsToTalkPage

Reason:
No longer working on this but may rebook it sometime in the future.

https://gerrit.wikimedia.org/r/499691

SBisson claimed this task.Apr 18 2019, 5:42 AM
SBisson moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.
SBisson added a subscriber: SBisson.

AFAiCT this is broken because of the initial "thank-you-edit" notification for the first edit that shifts all notifications by 1 (off-by-one error again.)

Change 505274 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Unbreak TalkPageFunctionalTest

https://gerrit.wikimedia.org/r/505274

Change 505274 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Unbreak TalkPageFunctionalTest

https://gerrit.wikimedia.org/r/505274

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM